#import <Foundation/Foundation.h>

#if !TARGET_OS_IPHONE
#import <AppKit/AppKit.h>
#else
#import <UIKit/UIKit.h>
#endif

@interface NSShadow (Additions)

+ (NSShadow*)pc_shadow;

#if TARGET_OS_IPHONE
+ (NSShadow*)pc_shadowWithColor:(UIColor*)shadowColor;
+ (NSShadow*)pc_shadowWithColor:(UIColor*)shadowColor offset:(CGSize)offset;
+ (NSShadow*)pc_shadowWithColor:(UIColor*)shadowColor offset:(CGSize)offset radius:(CGFloat)radius;
#else
+ (NSShadow*)pc_shadowWithColor:(NSColor*)shadowColor;
+ (NSShadow*)pc_shadowWithColor:(NSColor*)shadowColor offset:(NSSize)offset;
+ (NSShadow*)pc_shadowWithColor:(NSColor*)shadowColor offset:(NSSize)offset radius:(CGFloat)radius;

+ (void)pc_clearShadowOnGraphicsContext:(NSGraphicsContext*)context;
#endif

// faster than saving/restoring the entire graphics state
+ (void)pc_clearShadowOnCurrentGraphicsContext;
- (void)pc_clearShadowOnCurrentGraphicsContext;

#if !TARGET_OS_IPHONE

#endif

@end
