#import <Cocoa/Cocoa.h>

typedef enum
{
	kPCBezelModeImage,
	kPCBezelModeString,
	kPCBezelModeAttributedString
} PCBezelDrawingMode;


@interface PCBezelView : NSView
{
	NSBezierPath	*borderPath;
	NSColor			*fillColor;
	
	PCBezelDrawingMode	mode;
	
@private
	
	NSShadow			*shadow;
	NSImage 			*image;
	NSAttributedString	*stringValue;
	NSAttributedString	*attributedStringValue;
	NSDictionary		*stringAttributes;

	CGFloat _cornerRadius;
	NSSize _contentInset;
}

@property (assign) CGFloat cornerRadius;
@property (assign) NSSize contentInset;

- (void)setAttributedStringValue:(NSAttributedString*)aString;
- (void)setImage:(NSImage*)anImage;
- (void)setFillColor:(NSColor*)aColor;
- (void)setFont:(NSFont*)aFont;
- (void)setStringValue:(NSString*)aString;

@end
