//
//  PCSystemVersion.h
//  PanicCore
//
//  Created by Logan Collins on 4/16/12.
//  Copyright (c) 2012 Panic Inc. All rights reserved.
//

#import <Foundation/Foundation.h>


/*!
 * @class PCSystemVersion
 * @abstract Object representation of a system version
 */
@interface PCSystemVersion : NSObject <NSCopying> {
	
    NSArray     *_components;
    
    NSInteger   _beta;
    NSInteger   _alpha;
    NSInteger   _dev;
}


+ (PCSystemVersion *)currentSystemVersion;
+ (PCSystemVersion *)systemVersionWithString:(NSString *)aString;
+ (BOOL)isGreaterThanOrEqualToString:(NSString*)version; // caches result for faster lookup

- (NSString*)string;

- (NSComparisonResult)compare:(PCSystemVersion *)aVersion;

- (BOOL)isEqualToSystemVersion:(PCSystemVersion *)aVersion;
- (BOOL)isLessThanOrEqualToSystemVersion:(PCSystemVersion *)aVersion;
- (BOOL)isLessThanSystemVersion:(PCSystemVersion *)aVersion;
- (BOOL)isGreaterThanOrEqualToSystemVersion:(PCSystemVersion *)aVersion;
- (BOOL)isGreaterThanSystemVersion:(PCSystemVersion *)aVersion;

- (BOOL)isEqualToString:(NSString *)string;
- (BOOL)isLessThanOrEqualToString:(NSString *)string;
- (BOOL)isLessThanString:(NSString *)string;
- (BOOL)isGreaterThanOrEqualToString:(NSString *)string;
- (BOOL)isGreaterThanString:(NSString *)string;

@end
